Bug 28952

Summary: Save As of generated file cause Excel crash
Product: POI Reporter: Pavel Sherstyuk <p.cherstiouk>
Component: POI OverallAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: critical    
Priority: P3    
Version: 2.0-FINAL   
Target Milestone: ---   
Hardware: PC   
OS: All   
Attachments: Generated result 1
Generated result 2
Generated XML 1
Generated XML 2

Description Pavel Sherstyuk 2004-05-13 13:43:40 UTC
We are using PIO for producing Excel reports from Oracle DB.
In some cases we've got Excel files which could not be resaved.
We are using MS Excel 2000 9.0.6926 SP-3
If I change something on generated file and press Ctrl-S - no error.
If I call "Save As" for generated file Excel crashs with Read memory error or 
closes without any error message. After such crach I can find temporary file on 
the folder where I just tried to "save as" with size 512 and 0x00 in content.

In addition I can deliver example XML files and result xls file.
Comment 1 Pavel Sherstyuk 2004-05-13 13:44:50 UTC
Created attachment 11532 [details]
Generated result 1
Comment 2 Pavel Sherstyuk 2004-05-13 13:45:09 UTC
Created attachment 11533 [details]
Generated result 2
Comment 3 Pavel Sherstyuk 2004-05-13 13:46:01 UTC
Created attachment 11534 [details]
Generated XML 1
Comment 4 Pavel Sherstyuk 2004-05-13 13:46:24 UTC
Created attachment 11536 [details]
Generated XML 2
Comment 5 Michael Zalewski 2004-05-14 12:32:47 UTC
Looked real quick at this. The first attachment has two sheets, both 
named 'Test report A'.

I would try renaming the second worksheet to 'Test report B'. If that solves 
your problem, change the title of this bug to 'HSSF allows creation of two 
sheets with same name'
Comment 6 Pavel Sherstyuk 2004-05-18 14:14:54 UTC
To Michael Zalewski.
Thanks for advice.
It realy helped.
For me no problem that HSSF allows creation of the sheets with the same name, 
in oposite I need it, but less then stable work :-).

Anyway this problem be intereting.
Excel crashes sometime. Not all the time if it have sheets with the same names.
I'm usualy creating sheets with the same names, but Excel crashes not all the 
time. 
:-/

So, I can leave with various sheets name.
Case could be closed for me.
Comment 7 Avik Sengupta 2005-05-20 13:35:49 UTC
Poster says "Case closed". The bug of duplicate sheet names has also been fixed.